<div id="all">
  <div class="container">
    <div class="row" id="top">
      <div class="col-sm-12">
        <app-top (newGroup)="onGroups($event)" (newName)="onNames($event)"></app-top>
      </div>
    </div>
    <div class="row" id="middle">
      <div class="col-lg-5">
        <app-names [names]=newNames></app-names>
      </div>
      <div class="col-lg-1"></div>
      <div class="col-lg-6">
        <app-groups [groups]=newGroups (newSave)="onSaves($event)"></app-groups>
      </div>
    </div>
    <div class="row" id="bottom">
      <div class="col-sm-12">
        <app-saved-groups [saves]=newSaves></app-saved-groups>
      </div>
    </div>
  </div>
</div>